## DAReloadActivity

`DAReloadActivity` is a `UIButton` subclass (with a refresh arrow by default) with `UIActivityIndicatorView` properties.

It was built to be an imitation of Path's cover refresh button.

View the included example project for a demonstration.

## Installation

To use `DAReloadActivity`:

- Copy over the `DAReloadActivity` folder to your project folder.
- Make sure that your project includes the QuartzCore.framework.
- Allocate, Initialize.
Optional - Customize.

## Usage
Wherever you want to use `DAReloadActivity`, import the appropriate header file and initialize as follows:

```objective-c
#import "DAReloadActivityButton.h"
```

Initialize either via code or Interface Builder.

## Notes

### Automatic Reference Counting (ARC) support
`DAReloadActivity` was made with ARC enabled by default.

## Contact

- [Personal website](http://www.danielamitay.com)
- [GitHub](http://github.com/danielamitay)
- [Twitter](http://twitter.com/danielamitay)
- [LinkedIn](http://www.linkedin.com/in/danielamitay)
- [Email](mailto:hello@danielamitay.com)

If you use/enjoy `DAReloadActivity`, let me know!

## License

### MIT License

Copyright (c) 2013 Daniel Amitay (http://www.danielamitay.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
